﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace IDEs4
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=db/Database1.mdb";
            OleDbConnection conn = new OleDbConnection(connectionString);
            conn.Open();

            string selectQuery = "SELECT Fullname FROM Table1";
            OleDbCommand command = new OleDbCommand(selectQuery, conn);
            OleDbDataReader reader = command.ExecuteReader();

            while (reader.Read())
            {
                MessageBox.Show(reader.GetString(0));
            }

            conn.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            string fullname = textBox1.Text;
            string username = textBox2.Text;
            string password = textBox3.Text;
            string picture = textBox4.Text;
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=db/Database1.mdb";
            OleDbConnection conn = new OleDbConnection(connectionString);
            conn.Open();

            string insertQuery = "Insert into Table1 (Fullname,User_Name,Pass_word,Picture) " +
                "values (@fullname,@username,@password,@picture)";
            OleDbCommand command = new OleDbCommand(insertQuery, conn);
            command.Parameters.AddWithValue("@fullname", fullname);
            command.Parameters.AddWithValue("@username", username);
            command.Parameters.AddWithValue("@password", password);
            command.Parameters.AddWithValue("@picture", picture);
            int count = command.ExecuteNonQuery();
            MessageBox.Show(count.ToString() + " records inserted!");
            conn.Close();

        }
    }
}
